Name:		kuftp
Version:	1.5.0
Release:	%mkrel 1
License:	GPLv2+
Url:	        http://kUftp.SOurceforge.net/	
Group:		Networking/File transfer
Source0:	%{name}-%{version}.tar.bz2
Summary:        A graphical FTP client for the K Desktop Environment
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs-devel desktop-file-utils
BuildRequires:  openssl-devel

%description
KuFTP is a graphical FTP client for the K Desktop Environment.

Most notable features is Tab Sessions like Konqueror or Firefox.
Other features like bookmark manager,queue manager,speed limit,
proxy support,SSL/TSL support, multi charsets support and some
small nifty features are currently available in the latest version.

%post
%{update_desktop_database}
%update_icon_cache hicolor
%update_menus

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog README TODO
%_bindir/%name
%_libdir/*.a
%_datadir/apps/%name
%_datadir/applications/kde/*.desktop
%_iconsdir/hicolor/*/*/*.png

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%{makeinstall_std}

desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_datadir/applications/kde/ \
	--remove-key='Encoding' \
	%buildroot%_datadir/applnk/Utilities/kuftp.desktop

%find_lang %name --with-html

%clean
rm -rf %buildroot


%changelog
* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 1.5.0-1mdv2008.0
+ Revision: 195770
- import source and spec files
- Created package structure for kuftp.

